summaryrefslogtreecommitdiffstats
path: root/test
diff options
context:
space:
mode:
authorDave Davenport <qball@gmpclient.org>2016-01-04 18:26:18 +0100
committerDave Davenport <qball@gmpclient.org>2016-01-04 18:26:18 +0100
commit05a1be9753fd0b029de06f2d6ad93be1c29eccc9 (patch)
treed81a5cfa1493283aa33451697baf195e1f9166a7 /test
parentdac711cf22a36a66876cd107531a2efd1b54a4f8 (diff)
Another silly test to make sure this code is hit and should show breakage.
Diffstat (limited to 'test')
-rwxr-xr-xtest/run_dmenu_normal_window_test.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/test/run_dmenu_normal_window_test.sh b/test/run_dmenu_normal_window_test.sh
new file mode 100755
index 00000000..242af831
--- /dev/null
+++ b/test/run_dmenu_normal_window_test.sh
@@ -0,0 +1,25 @@
+#!/usr/bin/env bash
+
+# wait till it is up, run rofi with error message
+sleep 1;
+echo -e -n "aap\nnoot\nmies" | rofi -dmenu -normal-window > output.txt &
+RPID=$!
+
+# send enter.
+sleep 5;
+xdotool key 'Down'
+sleep 0.4
+xdotool key Shift+Return
+xdotool key Return
+
+# Get result, kill xvfb
+wait ${RPID}
+RETV=$?
+OUTPUT=$(cat output.txt | tr '\n' ' ')
+if [ "${OUTPUT}" != 'noot mies ' ]
+then
+ echo "Got: '${OUTPUT}' expected 'noot mies '"
+ exit 1
+fi
+echo ${RETV}
+exit ${RETV}